// Responsive Design en SCSS: Ejemplo sencillo
@mixin media($breakpoint: 480px) {
    @media (max-width: $breakpoint) {
        @content;
    }
}

.elemento {
    color: black;

    // Añadir el @media para 480px como máximo
    // No hace falta poner el valor porque viene configurado por defecto en el mixin
    @include media() {
        color: red;
    }
    // Añadir el @media para 640px
    @include media(640px) {
        color: yellow;
    }
    // Añadir el @media para 768px
    @include media(768px) {
        color: blue;
    }
    // Añadir el @media para 1024px
    @include media(1024px) {
        color: green;
    }
    // Añadir el @media para 1200px
    @include media(1200px) {
        color: purple;
    }
    // Añadir el @media para 1600px
    @include media(1600px) {
        color: orange;
    }
    // Añadir el @media para 1920px
    @include media(1920px) {
        color: pink;
    }

}
